summaryrefslogtreecommitdiffstats
path: root/src/opkbuild.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/opkbuild.sh')
-rw-r--r--src/opkbuild.sh8
1 files changed, 6 insertions, 2 deletions
diff --git a/src/opkbuild.sh b/src/opkbuild.sh
index faa72ef..7d5f963 100644
--- a/src/opkbuild.sh
+++ b/src/opkbuild.sh
@@ -40,7 +40,7 @@ error()
exit 1
}
-opts=$(getopt -n "${0}" -o 'r:p:d' -- "${@}")
+opts=$(getopt -n "${0}" -o 'r:p:ds:' -- "${@}")
if [ ${?} -ne 0 ]; then
print_usage "${0}" >&2
exit 1;
@@ -60,6 +60,10 @@ while true; do
dbg=true
shift
;;
+ -s)
+ status_override=${2}
+ shift 2
+ ;;
--)
shift
break
@@ -152,7 +156,7 @@ export OH_PKGVER=${version}
. @@DATADIR@@/opkhelper/buildflags/${OH_ARCH_CPU}
# Check build dependencies.
-oh-checkbuilddeps || error "${srcpkg}-src"
+oh-checkbuilddeps -s "${status_override}" || error "${srcpkg}-src"
printf '\n'